﻿using EInk.Dtos;
using EInk.Models;
using EInk.Tools;
using Newtonsoft.Json;
using SqlSugar;

namespace EInk.TaskThread
{
    public class DeleteDBRecordThread
    {
        private readonly ISqlSugarClient _db;

        public DeleteDBRecordThread(ISqlSugarClient db)
        {
            _db = db;
        }

        public void DeleteThreadStart()
        {
            Thread t = new Thread(DeleteTask);
            t.Start(_db);
        }

        static void DeleteTask(Object db)
        {
            ISqlSugarClient _db = (ISqlSugarClient)db;
            while (true)
            {
                try
                {
                    DateTime now = DateTime.Now;
                    if (now.Hour==8)
                    {
                        _db.Deleteable<Lot2Lot3Model>().Where(x => x.create_time < now.AddMonths(-2)).ExecuteCommand();  
                    }

                }
                catch (Exception ex)
                {
                    LogerHelper.RecordLogTxt("DeleteTask," + ex.Message);
                }
                finally
                {
                    Thread.Sleep(1000 * 60 * 60);
                }
            }

        }
    }
}
